> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tag

> Create a new tag within a tag group

## Request Body

<ParamField body="id" type="string">
  Optional client-provided ID. Format: `tag_{uuidv7}`
</ParamField>

<ParamField body="scopeId" type="string" required>
  ID of the scope
</ParamField>

<ParamField body="tagGroupId" type="string" required>
  ID of the tag group this tag belongs to
</ParamField>

<ParamField body="identifier" type="string" required>
  Unique identifier for the tag within the group
</ParamField>

<ParamField body="label" type="string" required>
  Display label for the tag
</ParamField>

## Response

Returns the created tag object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.example.com/tags' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "scopeId": "scope_acme",
      "tagGroupId": "tag_group_priority",
      "identifier": "high",
      "label": "High Priority"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "tag_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
    "scopeId": "scope_acme",
    "tagGroupId": "tag_group_priority",
    "identifier": "high",
    "label": "High Priority",
    "createdBy": "system",
    "createdAt": "2024-01-15T10:30:00Z"
  }
  ```
</ResponseExample>
